from setuptools import setup, find_packages
from setuptools.extension import Extension

setup(
    name="rbtree",
    version="0.8.0",
    packages=find_packages('src', exclude=["*.tests"]),
    package_dir= {'':'src'},
    package_data = {
    '': ['*.txt', '*.zcml', '*.pt', '*.zpt'],
    },
    ext_modules=[ Extension("rbtree", [ "src/rbtree_impl.c",
                                        "src/rbtree.pyx"],
                            libraries = [],
                            include_dirs=['./src',])
                  ],
    zip_safe=False,
    author='ObjectRealms, LLC',
    author_email='info@objectrealms.net',
    description="""A fast Red Black Tree with advanced iterator support. """,
    license='GPL',
    keywords="rbtree red-black tree data-structure",
    )

